<?php

namespace Simplyin\Simplyin_W_Plugin\Admin\Template_Components;

class Select_Item {

	private string $name;
	private string $id;

	private bool $selected = false;

	public function __construct( $id, $name, $selected = false ) {
		$this->id       = $id;
		$this->name     = $name;
		$this->selected = $selected;
	}

	public function get_id(): string {
		return $this->id;
	}

	public function get_name(): string {
		return $this->name;
	}


	public function is_selected(): bool {
		return $this->selected;
	}

	public function print_selected(): string {
		if ( $this->is_selected() ) {
			return 'selected';
		}

		return '';
	}
}
